> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hingnet.com.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 下载视频（OpenAI 风格）

> 使用 GET /v1/videos/{id}/content 下载成片（支持断点重传）。

下载接口会将上游真实地址进行代理，返回标准的视频文件流。请在任务 `completed` 后再调用。

## 认证

* `Authorization: Bearer <Token>`

```bash theme={null}
export BASE_URL="https://models.hingnet.com.cn"
export TOKEN="oh-xxxxxxxxxxxxxxxx"
export VIDEO_ID="video_xxx"  # 已完成的任务 id
```

## cURL 示例

```bash theme={null}
curl -L "$BASE_URL/v1/videos/$VIDEO_ID/content" \
  -H "Authorization: Bearer $TOKEN" \
  --output out.mp4
```

<Callout type="tip">
  如果你在浏览器中请求该地址，将直接触发下载（或在内嵌播放器中播放）。
</Callout>


## OpenAPI

````yaml GET /v1/videos/{video_id}/content
openapi: 3.0.0
info:
  title: Gemini Veo Video API
  description: Gemini Veo 视频生成 API（OpenAI 风格）
  version: 1.0.0
servers:
  - url: https://models.hingnet.com.cn
    description: HingNet 生产环境
security:
  - BearerAuth: []
paths:
  /v1/videos/{video_id}/content:
    get:
      tags:
        - Veo Videos
      summary: 下载视频
      description: 下载生成的视频文件
      operationId: downloadVeoVideo
      parameters:
        - name: video_id
          in: path
          required: true
          description: 视频任务 ID
          schema:
            type: string
          example: video_abc123
      responses:
        '200':
          description: 视频文件
          content:
            video/mp4:
              schema:
                type: string
                format: binary
        '400':
          description: 视频未就绪
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: 任务不存在
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            code:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API Key

````